<div class="mask text-center">
    <div class="select-address">
        <h3 class="select-address-title">选择地址</h3>
        <div class="select-address-container">
            <ul>
                <li>
                    <!-- 省份 -->
                    <span ng-repeat="province in provinces track by $index" ng-click="aSet.p(province)" ng-class="{'label label-success': model.province.code === province.code}">
                    {{province.name}}
                </span>
                </li>
                <li ng-if="cities.length > 0">
                    <!-- 城市 -->
                    <span ng-repeat="city in cities track by $index" ng-click="aSet.c(city)" ng-class="{'label label-success': model.city.code === city.code}">
                    {{city.name}}
                </span>
                </li>
                <li ng-if="model.city && counties.length > 0">
                    <!-- 县级 -->
                    <span ng-repeat="county in counties track by $index" ng-click="aSet.a(county)" ng-class="{'label label-success': model.county.code === county.code}">
                    {{county.name}}
                </span>
                </li>
            </ul>
        </div>
        <form class="select-address-footer" name="selectAddressDetail" ng-submit="finished()" novalidate>
            <strong class="text-danger">{{ model.province.name }} {{ model.city.name }} {{ model.county.name }}　</strong>
            <div class="form-group">
                <input ng-show="model.province" ng-model="model.detail" class="form-control input-sm" name="detail" type="text" placeholder="此处请输入详细地址" required/>
            </div>
            <div class="toolbar">
                <button class="btn btn-sm btn-info" type="submit" ng-disabled="!model.province || selectAddressDetail.$invalid">确定</button>
                <button class="btn btn-sm btn-danger" type="button" ng-click="cancel()">取消</button>
                <button class="btn btn-sm btn-link" type="button" ng-click="clear()">清空</button>
            </div>
        </form>
    </div>
</div>
